use std::path::PathBuf;

struct Job {
    name:      String,
    file_path: PathBuf,
}

impl Job {
    pub fn new(name: String, file_path: PathBuf) -> Job {
        Job{name, file_path}
    }
}

struct Project {
    jobs: Vec<Job>
}

impl Project {
    pub fn new(jobs: Vec<Job>) -> Project {
        Project{jobs}
    }
}